Schema "fpml-riskdef-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8563 $

Defined Components:

  3 global elements, 66 local elements, 32 complexTypes, 10 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-riskdef-5-3.xsd; see XML source

Includes Schemas (3):

  fpml-asset-5-3.xsd [src], fpml-doc-5-3.xsd [src], fpml-mktenv-5-3.xsd [src]

Included in Schemas (2):

  fpml-mktenv-5-3.xsd [src], fpml-valuation-5-3.xsd [src]

All Element Summary
assetQuote | A collection of valuations (quotes) for the assets needed in the set.
Type: | BasicAssetValuation
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin QuotedAssetSet complexType; see XML source
assetReference (in benchmarkPricingMethod) | The asset whose price is required.
Type: | AnyAssetReference
Content: | empty, 1 attribute
Defined: | locally witnin PricingMethod complexType; see XML source
averaged | The value is calculated by perturbing by the perturbationAmount and then the negative of the perturbationAmount and then averaging the two values (i.e. the value is half of the difference between perturbing up and perturbing down).
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin FiniteDifferenceDerivativeParameters.model group; see XML source
baseDate | The base date for which the structure applies, i.e. the curve date.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin PricingInputDates.model group; see XML source
benchmarkPricingMethod | The pricing structure used to quote a benchmark instrument.
Type: | PricingMethod
Content: | complex, 2 elements
Defined: | locally witnin Market complexType; see XML source
benchmarkQuotes | A collection of benchmark instruments and quotes used as inputs to the pricing models.
Type: | QuotedAssetSet
Content: | complex, 2 elements
Defined: | locally witnin Market complexType; see XML source
buildDateTime | The date and time when the pricing input was generated.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin PricingInputDates.model group; see XML source
calculationProcedure (in partialDerivative) | The method by which a derivative is computed, e.g. analytic, numerical model, perturbation, etc., and the corresponding parameters
Type: | DerivativeCalculationProcedure
Content: | complex, 6 elements
Defined: | locally witnin PricingParameterDerivative complexType; see XML source
calculationProcedure (in sensitivitySetDefinition) | The method by which each derivative is computed, e.g. analytic, numerical model, perturbation, etc., and the corresponding parameters (eg. shift amounts).
Type: | DerivativeCalculationProcedure
Content: | complex, 6 elements
Defined: | locally witnin SensitivitySetDefinition complexType; see XML source
coefficient | The coefficient by which this term is multiplied, typically 1 or -1.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FormulaTerm complexType; see XML source
coordinate | An explicit, filled in data point coordinate.
Type: | PricingDataPointCoordinate
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin PricingCoordinateOrReference.model group; see XML source
coordinateReference | A reference to a pricing data point coordinate within this document.
Type: | PricingDataPointCoordinateReference
Content: | empty, 1 attribute
Defined: | locally witnin PricingCoordinateOrReference.model group; see XML source
date (defined in TimeDimension complexType) | The absolute date corresponding to this term point, for example January 3, 2005.
Type: | xsd:date
Content: | simple
Defined: | locally witnin TimeDimension complexType; see XML source
denominatorTerm | A denominator term of the formula.
Type: | DenominatorTerm
Content: | complex, 2 elements
Defined: | locally witnin DerivativeFormula complexType; see XML source
derivativeFormula | The formula used to compute the derivative (perhaps could be updated to use the Formula type in EQS.).
Type: | xsd:string
Content: | simple
Defined: | locally witnin AnalyticDerivativeParameters.model group; see XML source
description (in partialDerivative) | A description, if needed, of how the derivative is computed.
Type: | xsd:string
Content: | simple
Defined: | locally witnin PricingParameterDerivative complexType; see XML source
endDate (defined in PricingInputDates.model group) | The last date for which data is supplied in this pricing input.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin PricingInputDates.model group; see XML source
expiration | A time dimension that represents the time to expiration of an option.
Type: | TimeDimension
Content: | complex, 2 elements
Defined: | locally witnin PricingStructureIndex.model group; see XML source
formula (in sensitivityDefinition) | A formula defining how to compute the derivative from the partial derivatives.
Type: | DerivativeFormula
Content: | complex, 2 elements
Defined: | locally witnin ComputedDerivative.model group; see XML source
generic |
Type: | GenericDimension
Content: | simple, 2 attributes
Defined: | locally witnin PricingStructureIndex.model group; see XML source
inputDataDate | The date from which the input data used to construct the pricing input was obtained.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin PricingInputDates.model group; see XML source
inputDateReference | Reference(s) to the pricing input dates that are shifted when the sensitivity is computed.
Type: | ValuationReference
Content: | empty, 1 attribute
Defined: | locally witnin PricingParameterDerivative complexType; see XML source
instrumentSet | A collection of instruments used as a basis for quotation.
Type: | InstrumentSet
Content: | complex, 2 elements
Defined: | locally witnin QuotedAssetSet complexType; see XML source
market | This is a global element used for creating global types.
Type: | Market
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Used: | at 3 locations
marketReference (in valuationScenario) | A reference to the market environment used to price the asset.
Type: | MarketReference
Content: | empty, 1 attribute
Defined: | locally witnin ValuationScenario complexType; see XML source
method (defined in DerivativeCalculationProcedure complexType) | The method by which a derivative is computed, e.g. analytic, numerical model, perturbation, etc.
Type: | DerivativeCalculationMethod
Content: | simple, 1 attribute
Defined: | locally witnin DerivativeCalculationProcedure complexType; see XML source
name (in market) | The name of the market, e.g. the USDLIBOR market.
Type: | xsd:string
Content: | simple
Defined: | locally witnin Market complexType; see XML source
name (in sensitivityDefinition) | The name of the derivative, e.g. first derivative, Hessian, etc.
Type: | xsd:string
Content: | simple
Defined: | locally witnin SensitivityDefinition complexType; see XML source
name (in sensitivitySetDefinition) | The name of the sensitivity set definition, e.g.
Type: | xsd:string
Content: | simple
Defined: | locally witnin SensitivitySetDefinition complexType; see XML source
name (in valuationScenario) | The (optional) name for this valuation scenario, used for understandability.
Type: | xsd:string
Content: | simple
Defined: | locally witnin ValuationScenario complexType; see XML source
objectReference | A reference to the asset or pricing structure that this values.
Type: | AnyAssetReference
Content: | empty, 1 attribute
Defined: | locally witnin Valuation complexType; see XML source
originalInputReference | A reference to the original value of the pricing input.
Type: | PricingStructureReference
Content: | empty, 1 attribute
Defined: | locally witnin PricingInputReplacement complexType; see XML source
parameterReference (defined in PricingParameterShift complexType) |
Type: | AssetOrTermPointOrPricingStructureReference
Content: | empty, 1 attribute
Defined: | locally witnin PricingParameterShift complexType; see XML source
parameterReference (in partialDerivative) | A reference to the pricing input parameter to which the sensitivity is computed.
Type: | AssetOrTermPointOrPricingStructureReference
Content: | empty, 1 attribute
Defined: | locally witnin PricingParameterDerivative complexType; see XML source
partialDerivative | A partial derivative of the measure with respect to an input.
Type: | PricingParameterDerivative
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin ComputedDerivative.model group; see XML source
partialDerivativeReference (in term in formula in sensitivityDefinition) | A reference to the partial derivative.
Type: | PricingParameterDerivativeReference
Content: | empty, 1 attribute
Defined: | locally witnin FormulaTerm complexType; see XML source
partialDerivativeReference (in weightedPartial) | A reference to a partial derivative defined in the ComputedDerivative.model, i.e. defined as part of this sensitivity definition.
Type: | PricingParameterDerivativeReference
Content: | empty, 1 attribute
Defined: | locally witnin WeightedPartialDerivative complexType; see XML source
perturbationAmount | The size and direction of the perturbation used to compute the derivative, e.g. 0.0001 = 1 bp.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FiniteDifferenceDerivativeParameters.model group; see XML source
perturbationType | The type of perturbation, if any, used to compute the derivative (Absolute vs Relative).
Type: | PerturbationType
Content: | simple, 1 attribute
Defined: | locally witnin FiniteDifferenceDerivativeParameters.model group; see XML source
positionId | A version-independent identifier for the position, possibly based on trade identifier.
Type: | PositionId
Content: | simple, 2 attributes
Defined: | locally witnin PositionIdAndVersion.model group; see XML source
power | The power to which this term is raised.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin DenominatorTerm complexType; see XML source
pricingInputReference (in benchmarkPricingMethod) | A reference to the pricing input used to value the asset.
Type: | PricingStructureReference
Content: | empty, 1 attribute
Defined: | locally witnin PricingMethod complexType; see XML source
pricingInputReference (in sensitivitySetDefinition) | A reference to the pricing input to which the sensitivity is shown, e.g. a reference to a USDLIBOR yield curve.
Type: | PricingStructureReference
Content: | empty, 1 attribute
Defined: | locally witnin SensitivitySetDefinition complexType; see XML source
pricingInputType | The type of the pricing input to which the sensitivity is shown, e.g. a yield curve or volatility matrix.
Type: | PricingInputType
Content: | simple, 1 attribute
Defined: | locally witnin SensitivitySetDefinition complexType; see XML source
pricingStructure |
Type: | PricingStructure
Content: | complex, 1 attribute, 2 elements
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 4 elements
Defined: | globally; see XML source
Used: | at 5 locations
pricingStructureValuation |
Type: | PricingStructureValuation
Content: | complex, 2 attributes, 7 elements
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 4 elements
Defined: | globally; see XML source
Used: | at 5 locations
quote (in assetQuote) | One or more numerical measures relating to the asset, possibly together with sensitivities of that measure to pricing inputs
Type: | BasicQuotation
Content: | complex, 1 attribute, 14 elements
Defined: | locally witnin BasicAssetValuation complexType; see XML source
replacement | A collection of shifts to be applied to market inputs prior to computation of the derivative.
Type: | PricingInputReplacement
Content: | complex, 2 elements
Defined: | locally witnin ValuationScenario complexType; see XML source
replacementInputReference | A reference to the substitution to do.
Type: | PricingStructureReference
Content: | empty, 1 attribute
Defined: | locally witnin PricingInputReplacement complexType; see XML source
replacementMarketInput | A reference to the replacement version of the market input, e.g. a bumped yield curve.
Type: | PricingStructureReference
Content: | empty, 1 attribute
Defined: | locally witnin SubstitutionDerivativeParameters.model group; see XML source
scale | The size of the denominator, e.g. 0.0001 = 1 bp.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin SensitivitySetDefinition complexType; see XML source
sensitivityCharacteristics | The default characteristics of the quotation, e.g. type, units, etc.
Type: | QuotationCharacteristics
Content: | complex, 13 elements
Defined: | locally witnin SensitivitySetDefinition complexType; see XML source
sensitivityDefinition | A set of sensitivity definitions.
Type: | SensitivityDefinition
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin SensitivitySetDefinition complexType; see XML source
shift (defined in PricingParameterShift complexType) | The size of the denominator, e.g. 0.0001 = 1 bp.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PricingParameterShift complexType; see XML source
shift (in valuationScenario) | A collection of shifts to be applied to market inputs prior to computation of the derivative.
Type: | PricingParameterShift
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin ValuationScenario complexType; see XML source
shiftUnits | The units of the denominator, e.g. currency.
Type: | PriceQuoteUnits
Content: | simple, 1 attribute
Defined: | locally witnin PricingParameterShift complexType; see XML source
spotDate | The spot settlement date for which the structure applies, normally 0-2 days after the base date.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin PricingInputDates.model group; see XML source
strike (in coordinate) | A numerical dimension that represents the strike rate or price of an option.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PricingStructureIndex.model group; see XML source
tenor | The amount of time from the base date of the pricing input to the specified term point, e.g. 6M or 5Y.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TimeDimension complexType; see XML source
term (in coordinate) | A time dimension that represents the term of a financial instrument, e.g. of a zero-coupon bond on a curve, or of an underlying caplet or swap for an option.
Type: | TimeDimension
Content: | complex, 2 elements
Defined: | locally witnin PricingStructureIndex.model group; see XML source
term (in formula in sensitivityDefinition) | A term of the formula.
Type: | FormulaTerm
Content: | complex, 2 elements
Defined: | locally witnin DerivativeFormula complexType; see XML source
term (in sensitivityDefinition) | The time dimension of the sensitivity point (tenor and/or date).
Type: | TimeDimension
Content: | complex, 2 elements
Defined: | locally witnin SensitivityDescription.model group; see XML source
valuationDate (in valuationScenario) | The date for which the assets are valued.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin ValuationScenario complexType; see XML source
valuationScenarioReference (defined in Valuation complexType) | A reference to the valuation scenario used to calculate this valuation.
Type: | ValuationScenarioReference
Content: | empty, 1 attribute
Defined: | locally witnin Valuation complexType; see XML source
valuationScenarioReference (in sensitivityDefinition) | Reference to the valuation scenario to which this sensitivity definition applies.
Type: | ValuationScenarioReference
Content: | empty, 1 attribute
Defined: | locally witnin SensitivityDefinition complexType; see XML source
valuationScenarioReference (in sensitivitySetDefinition) | Reference to the valuation scenario to which this sensitivity definition applies, e.g. a reference to the EOD valuation scenario.
Type: | ValuationScenarioReference
Content: | empty, 1 attribute
Defined: | locally witnin SensitivitySetDefinition complexType; see XML source
version (defined in PositionIdAndVersion.model group) | A version identifier.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin PositionIdAndVersion.model group; see XML source
weight (in weightedPartial) | The weight factor to be applied to the partial derivative, e.g. 1 or -1, or some other scaling value.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin WeightedPartialDerivative complexType; see XML source
weightedPartial | A partial derivative multiplied by a weighting factor.
Type: | WeightedPartialDerivative
Content: | complex, 2 elements
Defined: | locally witnin DenominatorTerm complexType; see XML source

Complex Type Summary
AssetOrTermPointOrPricingStructureReference | Reference to an underlying asset, term point or pricing structure (yield curve).
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
BasicAssetValuation | A structure that holds a set of measures about an asset.
Content: | complex, 2 attributes, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
DenominatorTerm | The type defining a denominator term of the formula.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
DerivativeCalculationMethod | The method by which a derivative is computed.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
DerivativeCalculationProcedure | A description of how a numerical derivative is computed.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
DerivativeFormula | A formula for computing a complex derivative from partial derivatives.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FormulaTerm | A type defining a term of the formula.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
GenericDimension | A generic (user defined) dimension, e.g. for use in a correlation surface. e.g. a currency, stock, etc.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
InstrumentSet | A collection of instruments usable for quotation purposes.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Market | A collection of pricing inputs.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location
MarketReference | Reference to a market structure.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
PerturbationType | The type of perturbation applied to compute a derivative perturbatively.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PositionId | A unique identifier for the position.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
PricingDataPointCoordinate | A set of index values that identify a pricing data point.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PricingDataPointCoordinateReference | Reference to a Pricing Data Point Coordinate.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PricingInputReplacement | The substitution of a pricing input (e.g. curve) for another, used in generating prices and risks for valuation scenarios.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PricingInputType | The type of pricing structure represented.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PricingMethod | For an asset (e.g. a reference/benchmark asset), the pricing structure used to price it.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PricingParameterDerivative | A definition of the mathematical derivative with respect to a specific pricing parameter.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location
PricingParameterDerivativeReference | Reference to a partial derivative.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
PricingParameterShift | A definition of a shift with respect to a specific pricing parameter.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 2 locations
PricingStructureValuation | An abstract pricing structure valuation base type.
Content: | complex, 2 attributes, 7 elements
Defined: | globally; see XML source
Used: | at 6 locations
QuotedAssetSet | A collection of quoted assets.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations
SensitivityDefinition | A set of characteristics describing a sensitivity.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
SensitivitySetDefinition | A sensitivity report definition, consisting of a collection of sensitivity definitions.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 8 elements
Used: | at 1 location
SensitivitySetDefinitionReference | A reference to a sensitivity set definition.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TimeDimension | The time dimensions of a term-structure.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations
Valuation | A valuation of an valuable object - an asset or a pricing input.
Content: | complex, 2 attributes, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 attributes, 2 elements
Used: | at 3 locations
ValuationReference | Reference to a Valuation or any derived structure such as PricingStructureValuation.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
ValuationScenario | A set of rules for generating a valuation.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location
ValuationScenarioReference | Reference to a valuation scenario.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 5 locations
WeightedPartialDerivative | A partial derivative multiplied by a weighting factor.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Element Group Summary
AnalyticDerivativeParameters.model | Parameters used in the computation of a derivative using analytical (closed form formula) techiques.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ComputedDerivative.model | A group describing a derivative as combination of partial derivatives.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
DerivativeCalculationParameters.model | Parameters used in the computation of a derivative.
Content: | 5 elements
Defined: | globally; see XML source
Used: | at 1 location
FiniteDifferenceDerivativeParameters.model | Parameters used in the computation of a derivative using numerical (finite difference) techniques.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
PositionIdAndVersion.model | A model group that includes a position ID and an optional version.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 6 locations
PricingCoordinateOrReference.model | A pricing structure coordinate, or a reference to one.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
PricingInputDates.model | The dates that might be relevant for a pricing input, e.g. what valuation date it applies to, when it was built, when the data comes from, etc..
Content: | 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
PricingStructureIndex.model | The index (an ordinate) of a pricing structure.
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
SensitivityDescription.model | A group describing a specific sensitivity without an explicity reference to the market data input point.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
SubstitutionDerivativeParameters.model | Parameters used in the computation of a derivative by substituting a supplied market environment.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8563 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-doc-5-3.xsd"/> <xsd:include schemaLocation="fpml-asset-5-3.xsd"/> <xsd:include schemaLocation="fpml-mktenv-5-3.xsd"/> <xsd:complexType name="AssetOrTermPointOrPricingStructureReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to an underlying asset, term point or pricing structure (yield curve). </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BasicAssetValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A structure that holds a set of measures about an asset. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Valuation"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"> <xsd:annotation> <xsd:documentation xml:lang="en"> One or more numerical measures relating to the asset, possibly together with sensitivities of that measure to pricing inputs </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DenominatorTerm"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type defining a denominator term of the formula. Its value is (sum of weighted partials) ^ power. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="weightedPartial" type="WeightedPartialDerivative"> <xsd:annotation> <xsd:documentation xml:lang="en"> A partial derivative multiplied by a weighting factor. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="power" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en">The power to which this term is raised.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DerivativeCalculationMethod"> <xsd:annotation> <xsd:documentation source="http://www.FpML.org" xml:lang="en">The method by which a derivative is computed.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/derivative-calculation-method" name="derivativeCalculationMethodScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="DerivativeCalculationProcedure"> <xsd:annotation> <xsd:documentation xml:lang="en"> A description of how a numerical derivative is computed. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="method" type="DerivativeCalculationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method by which a derivative is computed, e.g. analytic, numerical model, perturbation, etc. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="DerivativeCalculationParameters.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DerivativeFormula"> <xsd:annotation> <xsd:documentation xml:lang="en"> A formula for computing a complex derivative from partial derivatives. Its value is the sum of the terms divided by the product of the denominator terms. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="term" type="FormulaTerm"> <xsd:annotation> <xsd:documentation xml:lang="en"> A term of the formula. Its value is the product of the its coefficient and the referenced partial derivatives. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="denominatorTerm" type="DenominatorTerm"> <xsd:annotation> <xsd:documentation xml:lang="en"> A denominator term of the formula. Its value is (sum of weighted partials) ^ power. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FormulaTerm"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a term of the formula. Its value is the product of the its coefficient and the referenced partial derivatives. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="coefficient" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The coefficient by which this term is multiplied, typically 1 or -1. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partialDerivativeReference" type="PricingParameterDerivativeReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to the partial derivative.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="GenericDimension"> <xsd:annotation> <xsd:documentation xml:lang="en"> A generic (user defined) dimension, e.g. for use in a correlation surface. e.g. a currency, stock, etc. This would take values like USD, GBP, JPY, or IBM, MSFT, etc. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:string"> <xsd:attribute name="name" type="xsd:normalizedString" use="required"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the dimension. E.g.: "Currency", "Stock", "Issuer", etc. </xsd:documentation> </xsd:annotation> </xsd:attribute> <xsd:attribute ecore:reference="Asset" name="href" type="xsd:IDREF"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to an instrument (e.g. currency) that this value represents. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="InstrumentSet"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of instruments usable for quotation purposes. In future releases, quotable derivative assets may be added after the underlying asset. </xsd:documentation> </xsd:annotation> <xsd:sequence maxOccurs="unbounded" minOccurs="0"> <xsd:choice> <xsd:element minOccurs="0" ref="underlyingAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of underlying assets (bonds, discount instruments, futures, etc.) that can be used as a basis for benchmark quotes. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="curveInstrument"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of underlying assets (bonds, discount instruments, futures, etc.) that can be used as a basis for benchmark quotes. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Market"> <xsd:annotation> <xsd:documentation xml:lang="en">A collection of pricing inputs.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the market, e.g. the USDLIBOR market. Used for description and understandability. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="benchmarkQuotes" type="QuotedAssetSet"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of benchmark instruments and quotes used as inputs to the pricing models. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="pricingStructure"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of pricing inputs (curves, volatility matrices, etc.) used to represent the market. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="pricingStructureValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The values of the pricing structure used to represent the markets. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="benchmarkPricingMethod" type="PricingMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> The pricing structure used to quote a benchmark instrument. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="MarketReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a market structure.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Market" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PerturbationType"> <xsd:annotation> <xsd:documentation source="http://www.FpML.org" xml:lang="en"> The type of perturbation applied to compute a derivative perturbatively. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/perturbation-type" name="perturbationTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PositionId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier for the position. The id attribute is defined for intradocument referencing. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="positionIdScheme" type="xsd:anyURI"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PricingInputReplacement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The substitution of a pricing input (e.g. curve) for another, used in generating prices and risks for valuation scenarios. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="originalInputReference" type="PricingStructureReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the original value of the pricing input. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="replacementInputReference" type="PricingStructureReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to the substitution to do.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PricingInputType"> <xsd:annotation> <xsd:documentation source="http://www.FpML.org" xml:lang="en">The type of pricing structure represented.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/pricing-input-type" name="pricingInputTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PricingDataPointCoordinate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of index values that identify a pricing data point. For example: (strike = 17%, expiration = 6M, term = 1Y. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group maxOccurs="unbounded" ref="PricingStructureIndex.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PricingDataPointCoordinateReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a Pricing Data Point Coordinate.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="PricingDataPointCoordinate" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PricingMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> For an asset (e.g. a reference/benchmark asset), the pricing structure used to price it. Used, for example, to specify that the rateIndex "USD-LIBOR-Telerate" with term = 6M is priced using the "USD-LIBOR-Close" curve. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="assetReference" type="AnyAssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The asset whose price is required.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pricingInputReference" type="PricingStructureReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the pricing input used to value the asset. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PricingParameterDerivative"> <xsd:annotation> <xsd:documentation xml:lang="en"> A definition of the mathematical derivative with respect to a specific pricing parameter. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> A description, if needed, of how the derivative is computed. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element minOccurs="0" name="parameterReference" type="AssetOrTermPointOrPricingStructureReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the pricing input parameter to which the sensitivity is computed. If it is omitted, the derivative definition is generic, and applies to any input point in the valuation set. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="inputDateReference" type="ValuationReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference(s) to the pricing input dates that are shifted when the sensitivity is computed. Depending on the time advance method used, this list could vary. Used for describing time-advance derivatives (theta, carry, etc.) </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="calculationProcedure" type="DerivativeCalculationProcedure"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method by which a derivative is computed, e.g. analytic, numerical model, perturbation, etc., and the corresponding parameters </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PricingParameterDerivativeReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a partial derivative.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="PricingParameterDerivative" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PricingParameterShift"> <xsd:annotation> <xsd:documentation xml:lang="en"> A definition of a shift with respect to a specific pricing parameter. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="parameterReference" type="AssetOrTermPointOrPricingStructureReference"/> <xsd:element minOccurs="0" name="shift" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The size of the denominator, e.g. 0.0001 = 1 bp.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="shiftUnits" type="PriceQuoteUnits"> <xsd:annotation> <xsd:documentation xml:lang="en"> The units of the denominator, e.g. currency. If not present, use the units of the PricingInputReference. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PricingStructureValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract pricing structure valuation base type. Used as a base for values of pricing structures such as yield curves and volatility matrices. Derived from the "Valuation" type. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Valuation"> <xsd:sequence> <xsd:group ref="PricingInputDates.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The relevant dates for a pricing structure - what is applies to, when it was built, etc. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="QuotedAssetSet"> <xsd:annotation> <xsd:documentation xml:lang="en">A collection of quoted assets.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="instrumentSet" type="InstrumentSet"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of instruments used as a basis for quotation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetQuote" type="BasicAssetValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of valuations (quotes) for the assets needed in the set. Normally these quotes will be for the underlying assets listed above, but they don't necesarily have to be. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SensitivityDefinition"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of characteristics describing a sensitivity. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the derivative, e.g. first derivative, Hessian, etc. Typically not required, but may be used to explain more complex derivative calculations. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the valuation scenario to which this sensitivity definition applies. If the SensitivityDefinition occurs within a SensitivitySetDefinition, this is not required and normally not used. In this case, if it is supplied it overrides the valuationScenarioReference in the SensitivitySetDefinition. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:group ref="ComputedDerivative.model"/> <xsd:group ref="SensitivityDescription.model"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="SensitivitySetDefinition"> <xsd:annotation> <xsd:documentation xml:lang="en"> A sensitivity report definition, consisting of a collection of sensitivity definitions. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the sensitivity set definition, e.g. "USDLIBOR curve sensitivities". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="sensitivityCharacteristics" type="QuotationCharacteristics"> <xsd:annotation> <xsd:documentation xml:lang="en"> The default characteristics of the quotation, e.g. type, units, etc. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the valuation scenario to which this sensitivity definition applies, e.g. a reference to the EOD valuation scenario. If not supplied, this sensitivity set definition is generic to a variety of valuation scenarios. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pricingInputType" type="PricingInputType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of the pricing input to which the sensitivity is shown, e.g. a yield curve or volatility matrix. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pricingInputReference" type="PricingStructureReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the pricing input to which the sensitivity is shown, e.g. a reference to a USDLIBOR yield curve. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="scale" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The size of the denominator, e.g. 0.0001 = 1 bp. For derivatives with respect to time, the default period is 1 day. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sensitivityDefinition" type="SensitivityDefinition"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of sensitivity definitions. Either one per point reported, or one generic definition that applies to all points. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationProcedure" type="DerivativeCalculationProcedure"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method by which each derivative is computed, e.g. analytic, numerical model, perturbation, etc., and the corresponding parameters (eg. shift amounts). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="SensitivitySetDefinitionReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to a sensitivity set definition.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="SensitivitySetDefinition" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TimeDimension"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time dimensions of a term-structure. The user must supply either a tenor or a date or both. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="date" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The absolute date corresponding to this term point, for example January 3, 2005. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tenor" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount of time from the base date of the pricing input to the specified term point, e.g. 6M or 5Y. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:complexType> <xsd:complexType name="Valuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A valuation of an valuable object - an asset or a pricing input. This is an abstract type, used as a base for values of pricing structures such as yield curves as well as asset values. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="objectReference" type="AnyAssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the asset or pricing structure that this values. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the valuation scenario used to calculate this valuation. If the Valuation occurs within a ValuationSet, this value is optional and is defaulted from the ValuationSet. If this value occurs in both places, the lower level value (i.e. the one here) overrides that in the higher (i.e. ValuationSet). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> <xsd:attribute ecore:reference="ValuationScenario" name="definitionRef" type="xsd:IDREF"> <xsd:annotation> <xsd:documentation xml:lang="en"> An optional reference to the scenario that this valuation applies to. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:complexType> <xsd:complexType name="ValuationReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to a Valuation or any derived structure such as PricingStructureValuation. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Valuation" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ValuationScenario"> <xsd:annotation> <xsd:documentation xml:lang="en">A set of rules for generating a valuation.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The (optional) name for this valuation scenario, used for understandability. For example "EOD Valuations". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">The date for which the assets are valued.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="marketReference" type="MarketReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the market environment used to price the asset. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="shift" type="PricingParameterShift"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of shifts to be applied to market inputs prior to computation of the derivative. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="replacement" type="PricingInputReplacement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of shifts to be applied to market inputs prior to computation of the derivative. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ValuationScenarioReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a valuation scenario.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="ValuationScenario" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="WeightedPartialDerivative"> <xsd:annotation> <xsd:documentation xml:lang="en"> A partial derivative multiplied by a weighting factor. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partialDerivativeReference" type="PricingParameterDerivativeReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to a partial derivative defined in the ComputedDerivative.model, i.e. defined as part of this sensitivity definition. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="weight" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The weight factor to be applied to the partial derivative, e.g. 1 or -1, or some other scaling value. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:element name="market" type="Market"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is a global element used for creating global types. It holds Market information, e.g. curves, surfaces, quotes, etc. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="pricingStructure" type="PricingStructure"/> <xsd:element abstract="true" name="pricingStructureValuation" type="PricingStructureValuation"/> <xsd:group name="AnalyticDerivativeParameters.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Parameters used in the computation of a derivative using analytical (closed form formula) techiques. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="derivativeFormula" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> The formula used to compute the derivative (perhaps could be updated to use the Formula type in EQS.). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="ComputedDerivative.model"> <xsd:annotation> <xsd:documentation source="http://www.FpML.org" xml:lang="en"> A group describing a derivative as combination of partial derivatives. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partialDerivative" type="PricingParameterDerivative"> <xsd:annotation> <xsd:documentation xml:lang="en"> A partial derivative of the measure with respect to an input. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="formula" type="DerivativeFormula"> <xsd:annotation> <xsd:documentation xml:lang="en"> A formula defining how to compute the derivative from the partial derivatives. If absent, the derivative is just the product of the partial derivatives. Normally only required for more higher-order derivatives, e.g. Hessians. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="DerivativeCalculationParameters.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Parameters used in the computation of a derivative. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:group ref="FiniteDifferenceDerivativeParameters.model"/> <xsd:group ref="AnalyticDerivativeParameters.model"/> <xsd:group ref="SubstitutionDerivativeParameters.model"/> </xsd:choice> </xsd:group> <xsd:group name="FiniteDifferenceDerivativeParameters.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Parameters used in the computation of a derivative using numerical (finite difference) techniques. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="perturbationAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The size and direction of the perturbation used to compute the derivative, e.g. 0.0001 = 1 bp. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averaged" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value is calculated by perturbing by the perturbationAmount and then the negative of the perturbationAmount and then averaging the two values (i.e. the value is half of the difference between perturbing up and perturbing down). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="perturbationType" type="PerturbationType"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of perturbation, if any, used to compute the derivative (Absolute vs Relative). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="PositionIdAndVersion.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A model group that includes a position ID and an optional version. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="positionId" type="PositionId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A version-independent identifier for the position, possibly based on trade identifier. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="version" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> A version identifier. Version identifiers must be ascending, i.e. higher numbers imply newer versions. There is no requirement that version identifiers for a position be sequential or small, so for example timestamp-based version identifiers could be used. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="PricingCoordinateOrReference.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pricing structure coordinate, or a reference to one. This can be used to either directly define a coordinate or reference an existing coordinate. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="coordinate" type="PricingDataPointCoordinate"> <xsd:annotation> <xsd:documentation xml:lang="en"> An explicit, filled in data point coordinate. This might specify expiration, strike, etc. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="coordinateReference" type="PricingDataPointCoordinateReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to a pricing data point coordinate within this document. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="PricingInputDates.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The dates that might be relevant for a pricing input, e.g. what valuation date it applies to, when it was built, when the data comes from, etc.. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="baseDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The base date for which the structure applies, i.e. the curve date. Normally this will align with the valuation date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spotDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The spot settlement date for which the structure applies, normally 0-2 days after the base date. The difference between the baseDate and the spotDate is termed the settlement lag, and is sometimes called "days to spot". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="inputDataDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date from which the input data used to construct the pricing input was obtained. Often the same as the baseDate, but sometimes the pricing input may be "rolled forward", in which input data from one date is used to generate a curve for a later date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="endDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last date for which data is supplied in this pricing input. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="buildDateTime" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date and time when the pricing input was generated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="PricingStructureIndex.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The index (an ordinate) of a pricing structure. The index expresses how far along a particular dimension (e.g. time, strike, etc.) a point is located. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="term" type="TimeDimension"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time dimension that represents the term of a financial instrument, e.g. of a zero-coupon bond on a curve, or of an underlying caplet or swap for an option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expiration" type="TimeDimension"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time dimension that represents the time to expiration of an option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="strike" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A numerical dimension that represents the strike rate or price of an option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="generic" type="GenericDimension"/> </xsd:choice> </xsd:group> <xsd:group name="SensitivityDescription.model"> <xsd:annotation> <xsd:documentation source="http://www.FpML.org" xml:lang="en"> A group describing a specific sensitivity without an explicity reference to the market data input point. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="term" type="TimeDimension"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time dimension of the sensitivity point (tenor and/or date). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group maxOccurs="unbounded" ref="PricingCoordinateOrReference.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The input coordinates, or references to them (e.g. expiration, strike, tenor). </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:choice> </xsd:group> <xsd:group name="SubstitutionDerivativeParameters.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Parameters used in the computation of a derivative by substituting a supplied market environment. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="replacementMarketInput" type="PricingStructureReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the replacement version of the market input, e.g. a bumped yield curve. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.